%define realname   Test-Expect

Name:		perl-%{realname}
Version:    0.29
Release:    %mkrel 1
License:	GPL or Artistic
Group:		Development/Perl
Summary:    Automated driving and testing of terminal-based programs
Source0:    http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/%{realname}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel perl-Expect-Simple 
BuildArch:      noarch

%description
Test::Expect is a module for automated driving and testing of terminal-based 
programs. It is handy for testing interactive programs which have a prompt, 
and is based on the same concepts as the Tcl Expect tool.

Test::Expect is intended for use in a test script.
%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Build.PL INSTALLDIRS=vendor

%check
./Build test

%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=%buildroot installdirs=vendor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Sep 24 2005 Michael Scherer <misc@mandriva.org> 0.29-1mdk
- First mandriva package
